{{with .data}}
{{if eq $.attribute.Type "textarea"}}
<span class="inline-block whitespace-pre-line">
  {{- formatObservationValue $.attribute .Value -}}
</span>
{{else}}
{{formatObservationValue $.attribute .Value}}
{{end}}
<span class="inline-block text-xs text-gray-500 bg-slate-200 rounded px-1 py-0.5">
Aggregator:
{{if eq $.attribute.Aggregator "" }}
last (default)
{{else}}
{{$.attribute.Aggregator}}
{{end}}
</span>

<details class="group block relative pt-2">
  <summary class="absolute list-none marker:hidden [&::-webkit-details-marker]:hidden -top-5 right-0 rounded-full text-slate-500 cursor-pointer hover:text-white hover:bg-blue-600 group-open:text-white group-open:bg-blue-600" type="button"><svg class="w-5 h-5" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"><path d="M3 12a9 9 0 1 0 18 0a9 9 0 0 0-18 0m9-3h.01"/><path d="M11 12h1v4h1"/></g></svg></summary>

  <div class="relative overflow-x-auto border border-slate-200 rounded-md">
    <table class="w-full text-sm text-left">
      <thead class="text-gray-700 uppercase bg-gray-50">
        <tr>
          <th scope="col" class="px-4 py-3 font-semibold">
            Waarde
          </th>
          <th scope="col" class="px-4 py-3 font-semibold">
            Organisatie
          </th>
          <th scope="col" class="px-4 py-3 font-semibold">
            Invoerdatum
          </th>
        </tr>
      </thead>
      <tbody>
        {{range .Observations}}
        <tr class="odd:bg-white even:bg-gray-50 border-t border-slate-200">
          <td class="px-4 py-3 font-medium">
            {{formatObservationValue $.attribute .Value}}
          </td>
          <td class="px-4 py-3">
            {{getOrganizationLabel .Source}}
          </td>
          <td class="px-4 py-3">
            {{formatTime .CreatedAt}}
          </td>
        </tr>
        {{else}}
        <tr class="bg-white border-t border-slate-200">
          <td colspan="3" class="px-4 py-3 text-center">Geen waarden bekend.</td>
        </tr>
        {{end}}
      </tbody>
    </table>
  </div>
</details>

{{else}}
<p class="text-gray-500">(Onbekend)</p>
{{end}}
